import 'package:json_annotation/json_annotation.dart';

part 'apple_category_type.g.dart';

@JsonSerializable()
class AppleCategoryType {
  final int? id;
  final String? categoryType;

  AppleCategoryType({
    this.id,
    this.categoryType,
  });

  factory AppleCategoryType.fromJson(Map<String, dynamic> json) =>
      _$AppleCategoryTypeFromJson(json);

  Map<String, dynamic> toJson() => _$AppleCategoryTypeToJson(this);
}
