import 'package:json_annotation/json_annotation.dart';

import 'package:vivanta_connect_flutter/data/apple_category_type.dart';

part 'apple_category_type_client.g.dart';

@JsonSerializable()
class AppleCategoryTypeClient {
  final int? id;
  final String? permissionType;
  final AppleCategoryType? appleCategoryType;

  AppleCategoryTypeClient({
    this.id,
    this.permissionType,
    this.appleCategoryType,
  });

  factory AppleCategoryTypeClient.fromJson(Map<String, dynamic> json) =>
      _$AppleCategoryTypeClientFromJson(json);

  Map<String, dynamic> toJson() => _$AppleCategoryTypeClientToJson(this);
}
