import 'package:json_annotation/json_annotation.dart';

import 'package:vivanta_connect_flutter/data/apple_quantity_type.dart';

part 'apple_quantity_type_client.g.dart';

@JsonSerializable()
class AppleQuantityTypeClient {
  final int? id;
  final String? permissionType;
  final AppleQuantityType? appleQuantityType;

  AppleQuantityTypeClient({
    this.id,
    this.permissionType,
    this.appleQuantityType,
  });

  factory AppleQuantityTypeClient.fromJson(Map<String, dynamic> json) =>
      _$AppleQuantityTypeClientFromJson(json);

  Map<String, dynamic> toJson() => _$AppleQuantityTypeClientToJson(this);
}
