import 'package:json_annotation/json_annotation.dart';

import 'package:vivanta_connect_flutter/data/google_parameter_type.dart';

part 'google_parameter_type_client.g.dart';

@JsonSerializable()
class GoogleParameterTypeClient {
  final int? id;
  final String? permissionType;
  final GoogleParameterType? googleParameterType;

  GoogleParameterTypeClient({
    this.id,
    this.permissionType,
    this.googleParameterType,
  });

  factory GoogleParameterTypeClient.fromJson(Map<String, dynamic> json) =>
      _$GoogleParameterTypeClientFromJson(json);

  Map<String, dynamic> toJson() => _$GoogleParameterTypeClientToJson(this);
}
