import 'package:health/health.dart' as health;

enum MealType {
  breakfast,
  lunch,
  dinner,
  snack,
  unknown;

  health.MealType toHealthMealType() {
    switch (this) {
      case MealType.breakfast:
        return health.MealType.BREAKFAST;
      case MealType.lunch:
        return health.MealType.LUNCH;
      case MealType.dinner:
        return health.MealType.DINNER;
      case MealType.snack:
        return health.MealType.SNACK;
      case MealType.unknown:
        return health.MealType.UNKNOWN;
    }
  }
}
