import 'package:hive/hive.dart';

part 'google_health_connect_element.g.dart';

@HiveType(typeId: 1)
class GoogleHealthConnectElement extends HiveObject {
  @HiveField(0)
  final String? id;
  @HiveField(1)
  final String? value;
  @HiveField(2)
  final String? date;
  @HiveField(3)
  bool? synced;
  @HiveField(4)
  String? syncedDate;

  GoogleHealthConnectElement({
    this.id,
    this.value,
    this.date,
    this.synced,
    this.syncedDate,
  });
}
