import 'package:json_annotation/json_annotation.dart';

part 'apple_quantity_type.g.dart';

@JsonSerializable()
class AppleQuantityType {
  final int? id;
  final String? quantityType;

  AppleQuantityType({
    this.id,
    this.quantityType,
  });

  factory AppleQuantityType.fromJson(Map<String, dynamic> json) =>
      _$AppleQuantityTypeFromJson(json);

  Map<String, dynamic> toJson() => _$AppleQuantityTypeToJson(this);
}
