import 'package:json_annotation/json_annotation.dart';

part 'credential.g.dart';

@JsonSerializable()
class Credential {
  final int? id;
  final int? brandId;
  final int? userId;
  final bool? isConnected;
  final DateTime? lastSync;

  Credential({
    this.id,
    this.brandId,
    this.userId,
    this.isConnected,
    this.lastSync,
  });

  factory Credential.fromJson(Map<String, dynamic> json) =>
      _$CredentialFromJson(json);

  Map<String, dynamic> toJson() => _$CredentialToJson(this);
}
