import 'package:json_annotation/json_annotation.dart';

part 'google_parameter_type.g.dart';

@JsonSerializable()
class GoogleParameterType {
  final int? id;
  final String? parameterType;

  GoogleParameterType({
    this.id,
    this.parameterType,
  });

  factory GoogleParameterType.fromJson(Map<String, dynamic> json) =>
      _$GoogleParameterTypeFromJson(json);

  Map<String, dynamic> toJson() => _$GoogleParameterTypeToJson(this);
}
