import 'package:flutter/material.dart';

class CloseVivantaConnect extends StatelessWidget {
  const CloseVivantaConnect({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    WidgetsBinding.instance.addPostFrameCallback((_) => _close(context));
    return const Scaffold(
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          CircularProgressIndicator(),
        ],
      ),
    );
  }

  _close(BuildContext context) {
    Navigator.of(context, rootNavigator: true).pop();
  }
}
